This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 91239 - FlightGear menu text not rendered on HW accelerated Matrox G550
FlightGear menu text not rendered on HW accelerated Matrox G550
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: XFree86 (Show other bugs)
9
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: X/OpenGL Maintenance List
David Lawrence
: MoveUpstream
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-05-20 06:50 EDT by Thomas Sailer
Modified: 2007-04-18 12:53 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-10-01 01:11:51 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Screenshot (38.74 KB, image/jpeg)
2003-05-20 06:51 EDT, Thomas Sailer
no flags Details
XFree86.0.log (37.64 KB, text/plain)
2003-05-20 06:52 EDT, Thomas Sailer
no flags Details
XF86Config (3.65 KB, text/plain)
2003-05-20 06:53 EDT, Thomas Sailer
no flags Details

  None (edit)
Description Thomas Sailer 2003-05-20 06:50:34 EDT
Description of problem:
FlightGear 0.9.1 displays gray boxes on a Matrox G550 instead of menu text.
Display is correct using either software rendering on a G550 or hardware
rendering on Radeon cards. FlightGear even renders correctly on a G550 with
hardware rendering in XFree 4.2

Version-Release number of selected component (if applicable):
4.3.0-2, 4.3.0-10

How reproducible:
always

Steps to Reproduce:
run FlightGear (fgfs)
    
Actual results:
FlightGear runs normally, except that menu text is displayed in gray boxes on
Matrox G550 cards with hardware rendering. See attached screenshot

Expected results:
FlightGear menu text should be rendered even on matrox cards with hardware
acceleration
Comment 1 Thomas Sailer 2003-05-20 06:51:26 EDT
Created attachment 91817 [details]
Screenshot
Comment 2 Thomas Sailer 2003-05-20 06:52:29 EDT
Created attachment 91818 [details]
XFree86.0.log
Comment 3 Thomas Sailer 2003-05-20 06:53:18 EDT
Created attachment 91819 [details]
XF86Config
Comment 4 Mike A. Harris 2003-05-30 05:03:43 EDT
Please report this upstream at http://bugs.xfree86.org and paste the URL
of the bug report here, and I will track the bug upstream and apply any fixes
that the DRI or Mesa developers provide.
Comment 5 Mike A. Harris 2004-10-01 01:11:51 EDT
Since this bugzilla report was filed, there have been several major
updates to the X Window System, which may resolve this issue.  Users
who have experienced this problem are encouraged to upgrade to the
latest version of Fedora Core, which can be obtained from:

    http://fedora.redhat.com

If this issue turns out to still be reproduceable in the latest
version of Fedora Core, please file a bug report in the X.Org
bugzilla located at http://bugs.freedesktop.org in the "xorg"
component.

Once you've filed your bug report to X.Org, if you paste the new
bug URL here, Red Hat will continue to track the issue in the
centralized X.Org bug tracker, and will review any bug fixes
that become available for consideration in future updates.


Note You need to log in before you can comment on or make changes to this bug.